<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisTicker</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_ticker.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_ticker-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisTicker</div></div>
</div><!--header-->
<div class="contents">

<p>The base class tick generator used by <a class="el" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot.">QCPAxis</a> to create tick positions and tick labels.  
 <a href="class_q_c_p_axis_ticker.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAxisTicker</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker__inherit__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_axis_ticker_inherit__map" id="a_q_c_p_axis_ticker_inherit__map">
<area shape="rect" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="5,129,116,155"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html" title="Specialized axis ticker for calendar dates and times as axis ticks." alt="" coords="164,5,331,31"/>
<area shape="poly" title=" " alt="" coords="78,117,114,77,163,40,188,28,190,33,165,44,118,81,82,120"/>
<area shape="rect" href="class_q_c_p_axis_ticker_fixed.html" title="Specialized axis ticker with a fixed tick step." alt="" coords="176,55,319,80"/>
<area shape="poly" title=" " alt="" coords="96,120,163,89,197,77,198,83,165,94,98,125"/>
<area shape="rect" href="class_q_c_p_axis_ticker_log.html" title="Specialized axis ticker suited for logarithmic axes." alt="" coords="181,104,314,129"/>
<area shape="poly" title=" " alt="" coords="129,130,180,123,181,128,130,135"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html" title="Specialized axis ticker to display ticks in units of an arbitrary constant, for example pi." alt="" coords="186,153,309,179"/>
<area shape="poly" title=" " alt="" coords="130,148,186,155,185,161,130,153"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html" title="Specialized axis ticker which allows arbitrary labels at specified coordinates." alt="" coords="179,203,315,228"/>
<area shape="poly" title=" " alt="" coords="100,159,165,188,202,200,200,205,163,192,98,163"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html" title="Specialized axis ticker for time spans in units of milliseconds to days." alt="" coords="177,252,317,277"/>
<area shape="poly" title=" " alt="" coords="83,163,119,201,165,237,193,249,191,254,163,242,115,205,79,167"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:ab6d2f9d9477821623ac9bc4b21ddf49a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">tssReadability</a>
, <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">tssMeetTickCount</a>
 }</td></tr>
<tr class="separator:ab6d2f9d9477821623ac9bc4b21ddf49a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a8fcf23c79ebd72202fe79253f9f01ea8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8fcf23c79ebd72202fe79253f9f01ea8">QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a8fcf23c79ebd72202fe79253f9f01ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1119d6f09ad720f9c5dfdd2559047161"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a1119d6f09ad720f9c5dfdd2559047161">~QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a1119d6f09ad720f9c5dfdd2559047161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58df76f2ec3eb48401bdd314b0e14ba1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a58df76f2ec3eb48401bdd314b0e14ba1">tickStepStrategy</a> () const</td></tr>
<tr class="separator:a58df76f2ec3eb48401bdd314b0e14ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9edbe4169ce55e216fd067cc139452"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aaf9edbe4169ce55e216fd067cc139452">tickCount</a> () const</td></tr>
<tr class="separator:aaf9edbe4169ce55e216fd067cc139452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c6e9587c36fdeefb5518c00fe7ab15"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac0c6e9587c36fdeefb5518c00fe7ab15">tickOrigin</a> () const</td></tr>
<tr class="separator:ac0c6e9587c36fdeefb5518c00fe7ab15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b1d847c1a12159af6bfda4ebebe7d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> strategy)</td></tr>
<tr class="separator:a73b1d847c1a12159af6bfda4ebebe7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47752abba8293e6dc18491501ae34008"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a> (int count)</td></tr>
<tr class="separator:a47752abba8293e6dc18491501ae34008"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab509c7e500293bf66a8409f0d7c23943"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab509c7e500293bf66a8409f0d7c23943">setTickOrigin</a> (double origin)</td></tr>
<tr class="separator:ab509c7e500293bf66a8409f0d7c23943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbd11725678ca824add8cf926cbc856"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856">generate</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, const QLocale &amp;locale, QChar formatChar, int precision, QVector&lt; double &gt; &amp;ticks, QVector&lt; double &gt; *subTicks, QVector&lt; QString &gt; *tickLabels)</td></tr>
<tr class="separator:aefbd11725678ca824add8cf926cbc856"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a910d69bcec2de37e92d8d4e1ecf201e2"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:a910d69bcec2de37e92d8d4e1ecf201e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc403ced7a1457ce6ba293509933c8"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a> (double tickStep)</td></tr>
<tr class="separator:a4ccc403ced7a1457ce6ba293509933c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201eb4aa8be192bf786b126eb5ee089"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a8201eb4aa8be192bf786b126eb5ee089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4645a824c7bd2ca8fc7e86ebf9055bd"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:af4645a824c7bd2ca8fc7e86ebf9055bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6435723fa0bd366d1ea4c2cff7c33f"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a> (int subTickCount, const QVector&lt; double &gt; &amp;ticks)</td></tr>
<tr class="separator:a9a6435723fa0bd366d1ea4c2cff7c33f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804050e408f37a0b9770c6654ebe6aa7"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a> (const QVector&lt; double &gt; &amp;ticks, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a804050e408f37a0b9770c6654ebe6aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28cc1ab549489be7975f5ce7e717916"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916">trimTicks</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, QVector&lt; double &gt; &amp;ticks, bool keepOneOutlier) const</td></tr>
<tr class="separator:ab28cc1ab549489be7975f5ce7e717916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea0a7c4ca1c610f92b9bd5944ab4260"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260">pickClosest</a> (double target, const QVector&lt; double &gt; &amp;candidates) const</td></tr>
<tr class="separator:a4ea0a7c4ca1c610f92b9bd5944ab4260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99aaaf6c512812869b0a19937c76ff"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff">getMantissa</a> (double input, double *magnitude=nullptr) const</td></tr>
<tr class="separator:abe99aaaf6c512812869b0a19937c76ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7df6c72876b7abd67c932663a0b0f6a"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a">cleanMantissa</a> (double input) const</td></tr>
<tr class="separator:ac7df6c72876b7abd67c932663a0b0f6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:ac059d6d670b2f6132c593fb4de156701"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac059d6d670b2f6132c593fb4de156701">mTickStepStrategy</a></td></tr>
<tr class="separator:ac059d6d670b2f6132c593fb4de156701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a35b47d1aad11b08d18ea0e25937b8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a14a35b47d1aad11b08d18ea0e25937b8">mTickCount</a></td></tr>
<tr class="separator:a14a35b47d1aad11b08d18ea0e25937b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560ef9347b1aa599a9bf0e2f29d3ec16"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a560ef9347b1aa599a9bf0e2f29d3ec16">mTickOrigin</a></td></tr>
<tr class="separator:a560ef9347b1aa599a9bf0e2f29d3ec16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Each <a class="el" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot.">QCPAxis</a> has an internal <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> (or a subclass) in order to generate tick positions and tick labels for the current axis range. The ticker of an axis can be set via <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. Since that method takes a <code>QSharedPointer&lt;QCPAxisTicker&gt;</code>, multiple axes can share the same ticker instance.</p>
<p>This base class generates normal tick coordinates and numeric labels for linear axes. It picks a reasonable tick step (the separation between ticks) which results in readable tick labels. The number of ticks that should be approximately generated can be set via <a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a>. Depending on the current tick step strategy (<a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a>), the algorithm either sacrifices readability to better match the specified tick count (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">QCPAxisTicker::tssMeetTickCount</a>) or relaxes the tick count in favor of better tick steps (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">QCPAxisTicker::tssReadability</a>), which is the default.</p>
<p>The following more specialized axis ticker subclasses are available, see details in the respective class documentation:</p>
<center> <table class="doxtable">
<tr>
<td style="text-align:right; padding: 0 1em"><a class="el" href="class_q_c_p_axis_ticker_fixed.html" title="Specialized axis ticker with a fixed tick step.">QCPAxisTickerFixed</a></td><td><div class="image">
<img src="axisticker-fixed.png" alt=""/>
</div>
td </td></tr>
<tr>
<td style="text-align:right; padding: 0 1em"><a class="el" href="class_q_c_p_axis_ticker_log.html" title="Specialized axis ticker suited for logarithmic axes.">QCPAxisTickerLog</a></td><td><div class="image">
<img src="axisticker-log.png" alt=""/>
</div>
td </td></tr>
<tr>
<td style="text-align:right; padding: 0 1em"><a class="el" href="class_q_c_p_axis_ticker_pi.html" title="Specialized axis ticker to display ticks in units of an arbitrary constant, for example pi.">QCPAxisTickerPi</a></td><td><div class="image">
<img src="axisticker-pi.png" alt=""/>
</div>
td </td></tr>
<tr>
<td style="text-align:right; padding: 0 1em"><a class="el" href="class_q_c_p_axis_ticker_text.html" title="Specialized axis ticker which allows arbitrary labels at specified coordinates.">QCPAxisTickerText</a></td><td><div class="image">
<img src="axisticker-text.png" alt=""/>
</div>
td </td></tr>
<tr>
<td style="text-align:right; padding: 0 1em"><a class="el" href="class_q_c_p_axis_ticker_date_time.html" title="Specialized axis ticker for calendar dates and times as axis ticks.">QCPAxisTickerDateTime</a></td><td><div class="image">
<img src="axisticker-datetime.png" alt=""/>
</div>
td </td></tr>
<tr>
<td style="text-align:right; padding: 0 1em"><a class="el" href="class_q_c_p_axis_ticker_time.html" title="Specialized axis ticker for time spans in units of milliseconds to days.">QCPAxisTickerTime</a></td><td><div class="image">
<img src="axisticker-time.png" alt=""/>
</div>
 <div class="image">
<img src="axisticker-time2.png" alt=""/>
</div>
td </td></tr>
</table>
</center><h1><a class="anchor" id="axisticker-subclassing"></a>
Creating own axis tickers</h1>
<p>Creating own axis tickers can be achieved very easily by sublassing <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> and reimplementing some or all of the available virtual methods.</p>
<p>In the simplest case you might wish to just generate different tick steps than the other tickers, so you only reimplement the method <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a>. If you additionally want control over the string that will be shown as tick label, reimplement <a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a>.</p>
<p>If you wish to have complete control, you can generate the tick vectors and tick label vectors yourself by reimplementing <a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> and <a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a>. The default implementations use the previously mentioned virtual methods <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> and <a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a>, but your reimplementations don't necessarily need to do so. For example in the case of unequal tick steps, the method <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> loses its usefulness and can be ignored.</p>
<p>The sub tick count between major ticks can be controlled with <a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a>. Full sub tick placement control is obtained by reimplementing <a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a>.</p>
<p>See the documentation of all these virtual methods in <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> for detailed information about the parameters and expected return values. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01732">1732</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="ab6d2f9d9477821623ac9bc4b21ddf49a" name="ab6d2f9d9477821623ac9bc4b21ddf49a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6d2f9d9477821623ac9bc4b21ddf49a">&#9670;&#160;</a></span>TickStepStrategy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">QCPAxisTicker::TickStepStrategy</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the strategies that the axis ticker may follow when choosing the size of the tick step.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8" name="ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8"></a>tssReadability&#160;</td><td class="fielddoc"><p>A nicely readable tick step is prioritized over matching the requested number of ticks (see <a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2" name="ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2"></a>tssMeetTickCount&#160;</td><td class="fielddoc"><p>Less readable tick steps are allowed which in turn facilitates getting closer to the requested tick count. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01741">1741</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a8fcf23c79ebd72202fe79253f9f01ea8" name="a8fcf23c79ebd72202fe79253f9f01ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fcf23c79ebd72202fe79253f9f01ea8">&#9670;&#160;</a></span>QCPAxisTicker()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTicker::QCPAxisTicker </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs the ticker and sets reasonable default values. Axis tickers are commonly created managed by a QSharedPointer, which then can be passed to <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06123">6123</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a1119d6f09ad720f9c5dfdd2559047161" name="a1119d6f09ad720f9c5dfdd2559047161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1119d6f09ad720f9c5dfdd2559047161">&#9670;&#160;</a></span>~QCPAxisTicker()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTicker::~QCPAxisTicker </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06130">6130</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a58df76f2ec3eb48401bdd314b0e14ba1" name="a58df76f2ec3eb48401bdd314b0e14ba1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58df76f2ec3eb48401bdd314b0e14ba1">&#9670;&#160;</a></span>tickStepStrategy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> QCPAxisTicker::tickStepStrategy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01752">1752</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aaf9edbe4169ce55e216fd067cc139452" name="aaf9edbe4169ce55e216fd067cc139452"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf9edbe4169ce55e216fd067cc139452">&#9670;&#160;</a></span>tickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTicker::tickCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01753">1753</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac0c6e9587c36fdeefb5518c00fe7ab15" name="ac0c6e9587c36fdeefb5518c00fe7ab15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0c6e9587c36fdeefb5518c00fe7ab15">&#9670;&#160;</a></span>tickOrigin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTicker::tickOrigin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01754">1754</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a73b1d847c1a12159af6bfda4ebebe7d5" name="a73b1d847c1a12159af6bfda4ebebe7d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73b1d847c1a12159af6bfda4ebebe7d5">&#9670;&#160;</a></span>setTickStepStrategy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTicker::setTickStepStrategy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">QCPAxisTicker::TickStepStrategy</a>&#160;</td>
          <td class="paramname"><em>strategy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets which strategy the axis ticker follows when choosing the size of the tick step. For the available strategies, see <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06139">6139</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a47752abba8293e6dc18491501ae34008" name="a47752abba8293e6dc18491501ae34008"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47752abba8293e6dc18491501ae34008">&#9670;&#160;</a></span>setTickCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTicker::setTickCount </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets how many ticks this ticker shall aim to generate across the axis range. Note that <em>count</em> is not guaranteed to be matched exactly, as generating readable tick intervals may conflict with the requested number of ticks.</p>
<p>Whether the readability has priority over meeting the requested <em>count</em> can be specified with <a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06152">6152</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a47752abba8293e6dc18491501ae34008_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a47752abba8293e6dc18491501ae34008_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a47752abba8293e6dc18491501ae34008_icgraph" id="aclass_q_c_p_axis_ticker_a47752abba8293e6dc18491501ae34008_icgraph">
<area shape="rect" title=" " alt="" coords="236,77,431,102"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a84cc5c6bbc7c99c1f9bd4b3a392e1b9d" title=" " alt="" coords="10,5,183,45"/>
<area shape="poly" title=" " alt="" coords="271,76,171,48,172,43,273,70"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#aa0d7b7034055927c0f0077a2d713d7d0" title=" " alt="" coords="5,69,188,109"/>
<area shape="poly" title=" " alt="" coords="222,92,188,92,188,87,222,87"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#a5145aac1d2117fdac411d9e8552cc41b" title=" " alt="" coords="23,133,170,173"/>
<area shape="poly" title=" " alt="" coords="273,108,171,136,169,131,272,103"/>
</map>
</div>

</div>
</div>
<a id="ab509c7e500293bf66a8409f0d7c23943" name="ab509c7e500293bf66a8409f0d7c23943"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab509c7e500293bf66a8409f0d7c23943">&#9670;&#160;</a></span>setTickOrigin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTicker::setTickOrigin </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>origin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the mathematical coordinate (or "offset") of the zeroth tick. This tick coordinate is just a concept and doesn't need to be inside the currently visible axis range.</p>
<p>By default <em>origin</em> is zero, which for example yields ticks {-5, 0, 5, 10, 15,...} when the tick step is five. If <em>origin</em> is now set to 1 instead, the correspondingly generated ticks would be {-4, 1, 6, 11, 16,...}. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06168">6168</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_ab509c7e500293bf66a8409f0d7c23943_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_ab509c7e500293bf66a8409f0d7c23943_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_ab509c7e500293bf66a8409f0d7c23943_icgraph" id="aclass_q_c_p_axis_ticker_ab509c7e500293bf66a8409f0d7c23943_icgraph">
<area shape="rect" title=" " alt="" coords="435,13,629,38"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a5388e048cbd32cf1ba730b9f1859eb5c" title=" " alt="" coords="220,5,387,45"/>
<area shape="poly" title=" " alt="" coords="421,28,387,28,387,23,421,23"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a2ea905872b8171847a49a5e093fb0c48" title=" " alt="" coords="5,5,172,45"/>
<area shape="poly" title=" " alt="" coords="206,28,172,28,172,23,206,23"/>
</map>
</div>

</div>
</div>
<a id="aefbd11725678ca824add8cf926cbc856" name="aefbd11725678ca824add8cf926cbc856"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefbd11725678ca824add8cf926cbc856">&#9670;&#160;</a></span>generate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTicker::generate </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QLocale &amp;&#160;</td>
          <td class="paramname"><em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QChar&#160;</td>
          <td class="paramname"><em>formatChar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>precision</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>ticks</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVector&lt; double &gt; *&#160;</td>
          <td class="paramname"><em>subTicks</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVector&lt; QString &gt; *&#160;</td>
          <td class="paramname"><em>tickLabels</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This is the method called by <a class="el" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot.">QCPAxis</a> in order to actually generate tick coordinates (<em>ticks</em>), tick label strings (<em>tickLabels</em>) and sub tick coordinates (<em>subTicks</em>).</p>
<p>The ticks are generated for the specified <em>range</em>. The generated labels typically follow the specified <em>locale</em>, <em>formatChar</em> and number <em>precision</em>, however this might be different (or even irrelevant) for certain <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> subclasses.</p>
<p>The output parameter <em>ticks</em> is filled with the generated tick positions in axis coordinates. The output parameters <em>subTicks</em> and <em>tickLabels</em> are optional (set them to <code>nullptr</code> if not needed) and are respectively filled with sub tick coordinates, and tick label strings belonging to <em>ticks</em> by index. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06186">6186</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_aefbd11725678ca824add8cf926cbc856_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_aefbd11725678ca824add8cf926cbc856_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_aefbd11725678ca824add8cf926cbc856_cgraph" id="aclass_q_c_p_axis_ticker_aefbd11725678ca824add8cf926cbc856_cgraph">
<area shape="rect" title=" " alt="" coords="5,170,172,195"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7" title=" " alt="" coords="221,5,406,45"/>
<area shape="poly" title=" " alt="" coords="98,168,146,114,181,83,219,55,230,49,233,53,221,60,184,87,150,118,102,172"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f" title=" " alt="" coords="225,69,401,109"/>
<area shape="poly" title=" " alt="" coords="114,167,219,119,237,112,239,117,221,124,116,172"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd" title=" " alt="" coords="224,133,403,173"/>
<area shape="poly" title=" " alt="" coords="172,169,210,164,211,169,172,174"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8" title=" " alt="" coords="464,184,647,224"/>
<area shape="poly" title=" " alt="" coords="173,184,450,197,450,202,172,189"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2" title=" " alt="" coords="220,249,407,274"/>
<area shape="poly" title=" " alt="" coords="126,193,221,227,263,242,262,247,219,232,124,198"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916" title=" " alt="" coords="228,298,399,323"/>
<area shape="poly" title=" " alt="" coords="104,193,153,237,186,262,221,283,240,291,238,296,219,288,183,266,150,241,101,197"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089" title=" " alt="" coords="459,13,651,38"/>
<area shape="poly" title=" " alt="" coords="406,23,445,23,445,28,406,28"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="704,195,892,221"/>
<area shape="poly" title=" " alt="" coords="647,203,690,204,690,209,647,208"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="455,249,656,274"/>
<area shape="poly" title=" " alt="" coords="407,259,441,259,441,264,407,264"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="497,298,613,323"/>
<area shape="poly" title=" " alt="" coords="377,271,484,294,483,299,376,277"/>
<area shape="poly" title=" " alt="" coords="614,246,726,221,727,226,615,251"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="705,249,891,274"/>
<area shape="poly" title=" " alt="" coords="656,259,691,259,691,264,656,264"/>
</map>
</div>

</div>
</div>
<a id="a910d69bcec2de37e92d8d4e1ecf201e2" name="a910d69bcec2de37e92d8d4e1ecf201e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a910d69bcec2de37e92d8d4e1ecf201e2">&#9670;&#160;</a></span>getTickStep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTicker::getTickStep </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana w <a class="el" href="class_q_c_p_axis_ticker_date_time.html#a0560c14a3f87bb99ab136aca8321b32a">QCPAxisTickerDateTime</a>, <a class="el" href="class_q_c_p_axis_ticker_time.html#a5615064642090fe193797caea8b98cb4">QCPAxisTickerTime</a>, <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a9e99da01ab92a86aed415eef32fed13a">QCPAxisTickerFixed</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a628f16c41905e8c95c6622d6757a38c4">QCPAxisTickerText</a> i <a class="el" href="class_q_c_p_axis_ticker_pi.html#a55301f0072983bd2d7c131a24e1779e7">QCPAxisTickerPi</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06221">6221</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_cgraph" id="aclass_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_cgraph">
<area shape="rect" title=" " alt="" coords="5,55,192,80"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="240,29,441,55"/>
<area shape="poly" title=" " alt="" coords="192,55,226,51,227,57,192,60"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="283,79,399,104"/>
<area shape="poly" title=" " alt="" coords="192,74,269,82,269,87,192,79"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="489,5,677,31"/>
<area shape="poly" title=" " alt="" coords="441,29,476,26,476,31,442,35"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="491,55,676,80"/>
<area shape="poly" title=" " alt="" coords="442,50,477,54,477,59,441,55"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_icgraph" id="aclass_q_c_p_axis_ticker_a910d69bcec2de37e92d8d4e1ecf201e2_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,407,31"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,5,172,31"/>
<area shape="poly" title=" " alt="" coords="206,21,172,21,172,15,206,15"/>
</map>
</div>

</div>
</div>
<a id="a4ccc403ced7a1457ce6ba293509933c8" name="a4ccc403ced7a1457ce6ba293509933c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ccc403ced7a1457ce6ba293509933c8">&#9670;&#160;</a></span>getSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTicker::getSubTickCount </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana w <a class="el" href="class_q_c_p_axis_ticker_date_time.html#a78dece0d51426a3c310528d413e09193">QCPAxisTickerDateTime</a>, <a class="el" href="class_q_c_p_axis_ticker_time.html#acace84c46598176aa53837e147595471">QCPAxisTickerTime</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a9c2488b877776870239abda4c8106052">QCPAxisTickerText</a>, <a class="el" href="class_q_c_p_axis_ticker_pi.html#a56c90f870da97c8670cfae4d04ff3ac7">QCPAxisTickerPi</a> i <a class="el" href="class_q_c_p_axis_ticker_log.html#a352fef7ae68837acd26e35188aa86167">QCPAxisTickerLog</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06234">6234</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_cgraph" id="aclass_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,188,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="236,13,424,38"/>
<area shape="poly" title=" " alt="" coords="189,23,222,23,222,28,189,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_icgraph" id="aclass_q_c_p_axis_ticker_a4ccc403ced7a1457ce6ba293509933c8_icgraph">
<area shape="rect" title=" " alt="" coords="248,87,431,127"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="19,5,186,31"/>
<area shape="poly" title=" " alt="" coords="286,84,199,46,158,33,160,28,201,41,288,79"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a78dece0d51426a3c310528d413e09193" title=" " alt="" coords="19,55,186,95"/>
<area shape="poly" title=" " alt="" coords="234,96,186,89,186,84,235,91"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#acace84c46598176aa53837e147595471" title=" " alt="" coords="29,119,176,159"/>
<area shape="poly" title=" " alt="" coords="235,124,177,132,176,127,234,119"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a56c90f870da97c8670cfae4d04ff3ac7" title=" " alt="" coords="5,183,200,223"/>
<area shape="poly" title=" " alt="" coords="287,136,201,174,169,186,167,181,199,169,284,131"/>
</map>
</div>

</div>
</div>
<a id="a8201eb4aa8be192bf786b126eb5ee089" name="a8201eb4aa8be192bf786b126eb5ee089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8201eb4aa8be192bf786b126eb5ee089">&#9670;&#160;</a></span>getTickLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTicker::getTickLabel </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tick</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QLocale &amp;&#160;</td>
          <td class="paramname"><em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QChar&#160;</td>
          <td class="paramname"><em>formatChar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>precision</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana w <a class="el" href="class_q_c_p_axis_ticker_date_time.html#a4dc6a03f7ea5c619477528a683ed5c18">QCPAxisTickerDateTime</a>, <a class="el" href="class_q_c_p_axis_ticker_time.html#a046eb771bdf2a959f570db542b3a0be6">QCPAxisTickerTime</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a99247779a9c20bea1f50911117540a71">QCPAxisTickerText</a> i <a class="el" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109">QCPAxisTickerPi</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06297">6297</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a8201eb4aa8be192bf786b126eb5ee089_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a8201eb4aa8be192bf786b126eb5ee089_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a8201eb4aa8be192bf786b126eb5ee089_icgraph" id="aclass_q_c_p_axis_ticker_a8201eb4aa8be192bf786b126eb5ee089_icgraph">
<area shape="rect" title=" " alt="" coords="453,45,645,70"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7" title=" " alt="" coords="220,5,405,45"/>
<area shape="poly" title=" " alt="" coords="441,45,405,40,406,35,442,40"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109" title=" " alt="" coords="227,69,399,109"/>
<area shape="poly" title=" " alt="" coords="442,74,399,80,398,75,442,69"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,13,172,38"/>
<area shape="poly" title=" " alt="" coords="206,28,172,28,172,23,206,23"/>
</map>
</div>

</div>
</div>
<a id="af4645a824c7bd2ca8fc7e86ebf9055bd" name="af4645a824c7bd2ca8fc7e86ebf9055bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4645a824c7bd2ca8fc7e86ebf9055bd">&#9670;&#160;</a></span>createTickVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; double &gt; QCPAxisTicker::createTickVector </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana w <a class="el" href="class_q_c_p_axis_ticker_date_time.html#a44c2c09a303d281801b69226e243047d">QCPAxisTickerDateTime</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#aa195c4fd0364d0393f1798fb495d6a60">QCPAxisTickerText</a> i <a class="el" href="class_q_c_p_axis_ticker_log.html#af8873a8d1d2b9392d8f7a73218c889ab">QCPAxisTickerLog</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06342">6342</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_af4645a824c7bd2ca8fc7e86ebf9055bd_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_af4645a824c7bd2ca8fc7e86ebf9055bd_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_af4645a824c7bd2ca8fc7e86ebf9055bd_icgraph" id="aclass_q_c_p_axis_ticker_af4645a824c7bd2ca8fc7e86ebf9055bd_icgraph">
<area shape="rect" title=" " alt="" coords="228,69,407,109"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a44c2c09a303d281801b69226e243047d" title=" " alt="" coords="9,5,176,45"/>
<area shape="poly" title=" " alt="" coords="232,68,163,48,164,43,234,63"/>
<area shape="rect" href="class_q_c_p_axis_ticker_log.html#af8873a8d1d2b9392d8f7a73218c889ab" title=" " alt="" coords="5,69,180,109"/>
<area shape="poly" title=" " alt="" coords="214,92,180,92,180,87,214,87"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="9,134,176,159"/>
<area shape="poly" title=" " alt="" coords="226,115,144,136,143,131,225,110"/>
</map>
</div>

</div>
</div>
<a id="a9a6435723fa0bd366d1ea4c2cff7c33f" name="a9a6435723fa0bd366d1ea4c2cff7c33f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a6435723fa0bd366d1ea4c2cff7c33f">&#9670;&#160;</a></span>createSubTickVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; double &gt; QCPAxisTicker::createSubTickVector </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>subTickCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>ticks</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06311">6311</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a9a6435723fa0bd366d1ea4c2cff7c33f_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a9a6435723fa0bd366d1ea4c2cff7c33f_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a9a6435723fa0bd366d1ea4c2cff7c33f_icgraph" id="aclass_q_c_p_axis_ticker_a9a6435723fa0bd366d1ea4c2cff7c33f_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,396,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,13,172,38"/>
<area shape="poly" title=" " alt="" coords="206,28,172,28,172,23,206,23"/>
</map>
</div>

</div>
</div>
<a id="a804050e408f37a0b9770c6654ebe6aa7" name="a804050e408f37a0b9770c6654ebe6aa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a804050e408f37a0b9770c6654ebe6aa7">&#9670;&#160;</a></span>createLabelVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; QString &gt; QCPAxisTicker::createLabelVector </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>ticks</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QLocale &amp;&#160;</td>
          <td class="paramname"><em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QChar&#160;</td>
          <td class="paramname"><em>formatChar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>precision</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06365">6365</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_cgraph" id="aclass_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,191,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089" title=" " alt="" coords="239,13,431,38"/>
<area shape="poly" title=" " alt="" coords="191,23,225,23,225,28,191,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_icgraph" id="aclass_q_c_p_axis_ticker_a804050e408f37a0b9770c6654ebe6aa7_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,405,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,13,172,38"/>
<area shape="poly" title=" " alt="" coords="206,28,172,28,172,23,206,23"/>
</map>
</div>

</div>
</div>
<a id="ab28cc1ab549489be7975f5ce7e717916" name="ab28cc1ab549489be7975f5ce7e717916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab28cc1ab549489be7975f5ce7e717916">&#9670;&#160;</a></span>trimTicks()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTicker::trimTicks </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>ticks</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>keepOneOutlier</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06381">6381</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_ab28cc1ab549489be7975f5ce7e717916_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_ab28cc1ab549489be7975f5ce7e717916_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_ab28cc1ab549489be7975f5ce7e717916_icgraph" id="aclass_q_c_p_axis_ticker_ab28cc1ab549489be7975f5ce7e717916_icgraph">
<area shape="rect" title=" " alt="" coords="220,5,391,31"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,5,172,31"/>
<area shape="poly" title=" " alt="" coords="206,21,172,21,172,15,206,15"/>
</map>
</div>

</div>
</div>
<a id="a4ea0a7c4ca1c610f92b9bd5944ab4260" name="a4ea0a7c4ca1c610f92b9bd5944ab4260"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ea0a7c4ca1c610f92b9bd5944ab4260">&#9670;&#160;</a></span>pickClosest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTicker::pickClosest </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>candidates</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06423">6423</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_a4ea0a7c4ca1c610f92b9bd5944ab4260_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_a4ea0a7c4ca1c610f92b9bd5944ab4260_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_a4ea0a7c4ca1c610f92b9bd5944ab4260_icgraph" id="aclass_q_c_p_axis_ticker_a4ea0a7c4ca1c610f92b9bd5944ab4260_icgraph">
<area shape="rect" title=" " alt="" coords="716,163,901,189"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="467,163,668,189"/>
<area shape="poly" title=" " alt="" coords="702,179,668,179,668,173,702,173"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a0560c14a3f87bb99ab136aca8321b32a" title=" " alt="" coords="236,5,403,45"/>
<area shape="poly" title=" " alt="" coords="752,162,385,48,386,43,754,157"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#a5615064642090fe193797caea8b98cb4" title=" " alt="" coords="246,299,393,339"/>
<area shape="poly" title=" " alt="" coords="751,195,390,301,388,296,750,190"/>
<area shape="rect" href="class_q_c_p_axis_ticker_log.html#af8873a8d1d2b9392d8f7a73218c889ab" title=" " alt="" coords="232,69,407,109"/>
<area shape="poly" title=" " alt="" coords="519,161,418,124,383,112,384,107,420,119,521,156"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2" title=" " alt="" coords="226,134,413,159"/>
<area shape="poly" title=" " alt="" coords="453,165,412,160,413,155,453,160"/>
<area shape="poly" title=" " alt="" coords="542,156,488,108,453,82,417,60,391,48,394,43,420,55,457,78,491,103,545,152"/>
<area shape="poly" title=" " alt="" coords="533,198,468,242,445,266,435,277,420,289,394,302,392,297,417,284,432,274,442,263,465,238,530,193"/>
<area shape="rect" href="class_q_c_p_axis_ticker_fixed.html#a9e99da01ab92a86aed415eef32fed13a" title=" " alt="" coords="248,184,391,224"/>
<area shape="poly" title=" " alt="" coords="453,192,391,199,391,193,452,186"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a55301f0072983bd2d7c131a24e1779e7" title=" " alt="" coords="220,249,419,274"/>
<area shape="poly" title=" " alt="" coords="526,197,420,239,376,251,375,246,418,233,524,192"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,134,172,159"/>
<area shape="poly" title=" " alt="" coords="212,149,172,149,172,144,212,144"/>
</map>
</div>

</div>
</div>
<a id="abe99aaaf6c512812869b0a19937c76ff" name="abe99aaaf6c512812869b0a19937c76ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe99aaaf6c512812869b0a19937c76ff">&#9670;&#160;</a></span>getMantissa()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTicker::getMantissa </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06443">6443</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_abe99aaaf6c512812869b0a19937c76ff_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_abe99aaaf6c512812869b0a19937c76ff_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_abe99aaaf6c512812869b0a19937c76ff_icgraph" id="aclass_q_c_p_axis_ticker_abe99aaaf6c512812869b0a19937c76ff_icgraph">
<area shape="rect" title=" " alt="" coords="716,306,904,331"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="467,191,668,217"/>
<area shape="poly" title=" " alt="" coords="769,302,594,219,597,214,771,298"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8" title=" " alt="" coords="476,413,659,453"/>
<area shape="poly" title=" " alt="" coords="771,340,612,416,610,411,769,335"/>
<area shape="rect" href="class_q_c_p_axis_ticker_log.html#af8873a8d1d2b9392d8f7a73218c889ab" title=" " alt="" coords="232,5,407,45"/>
<area shape="poly" title=" " alt="" coords="546,182,492,121,457,88,417,60,394,48,396,43,420,55,460,84,496,117,550,179"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2" title=" " alt="" coords="226,70,413,95"/>
<area shape="poly" title=" " alt="" coords="538,185,484,147,418,110,381,98,383,93,420,106,487,143,541,181"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a0560c14a3f87bb99ab136aca8321b32a" title=" " alt="" coords="236,120,403,160"/>
<area shape="poly" title=" " alt="" coords="503,190,397,163,398,158,504,185"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#a5615064642090fe193797caea8b98cb4" title=" " alt="" coords="246,184,393,224"/>
<area shape="poly" title=" " alt="" coords="453,207,393,207,393,201,453,201"/>
<area shape="rect" href="class_q_c_p_axis_ticker_fixed.html#a9e99da01ab92a86aed415eef32fed13a" title=" " alt="" coords="248,248,391,288"/>
<area shape="poly" title=" " alt="" coords="504,223,392,252,390,247,503,218"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a55301f0072983bd2d7c131a24e1779e7" title=" " alt="" coords="220,313,419,338"/>
<area shape="poly" title=" " alt="" coords="541,227,487,265,420,302,383,315,381,310,418,298,484,261,538,223"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,217,172,242"/>
<area shape="poly" title=" " alt="" coords="239,102,221,110,184,136,150,166,102,218,98,215,146,162,180,132,219,106,237,97"/>
<area shape="poly" title=" " alt="" coords="462,413,313,379,219,352,180,326,146,296,98,244,102,240,150,293,184,322,221,347,315,374,463,408"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a78dece0d51426a3c310528d413e09193" title=" " alt="" coords="236,413,403,453"/>
<area shape="poly" title=" " alt="" coords="462,436,403,436,403,431,462,431"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#acace84c46598176aa53837e147595471" title=" " alt="" coords="246,477,393,517"/>
<area shape="poly" title=" " alt="" coords="476,459,393,481,392,476,475,454"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a56c90f870da97c8670cfae4d04ff3ac7" title=" " alt="" coords="222,541,417,581"/>
<area shape="poly" title=" " alt="" coords="530,464,479,498,420,532,391,544,389,539,418,527,476,494,527,459"/>
</map>
</div>

</div>
</div>
<a id="ac7df6c72876b7abd67c932663a0b0f6a" name="ac7df6c72876b7abd67c932663a0b0f6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7df6c72876b7abd67c932663a0b0f6a">&#9670;&#160;</a></span>cleanMantissa()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTicker::cleanMantissa </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>input</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l06456">6456</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_cgraph" id="aclass_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,207,56"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="255,5,443,31"/>
<area shape="poly" title=" " alt="" coords="206,30,241,27,242,32,207,35"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="256,55,441,80"/>
<area shape="poly" title=" " alt="" coords="207,51,243,54,242,59,206,56"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_icgraph" id="aclass_q_c_p_axis_ticker_ac7df6c72876b7abd67c932663a0b0f6a_icgraph">
<area shape="rect" title=" " alt="" coords="467,159,668,185"/>
<area shape="rect" href="class_q_c_p_axis_ticker_log.html#af8873a8d1d2b9392d8f7a73218c889ab" title=" " alt="" coords="232,5,407,45"/>
<area shape="poly" title=" " alt="" coords="541,152,487,106,417,60,391,48,393,43,420,55,490,102,545,148"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2" title=" " alt="" coords="226,70,413,95"/>
<area shape="poly" title=" " alt="" coords="527,156,418,111,375,98,377,93,420,105,529,151"/>
<area shape="rect" href="class_q_c_p_axis_ticker_date_time.html#a0560c14a3f87bb99ab136aca8321b32a" title=" " alt="" coords="236,120,403,160"/>
<area shape="poly" title=" " alt="" coords="455,160,402,153,403,148,456,155"/>
<area shape="rect" href="class_q_c_p_axis_ticker_time.html#a5615064642090fe193797caea8b98cb4" title=" " alt="" coords="246,184,393,224"/>
<area shape="poly" title=" " alt="" coords="455,189,393,197,393,192,455,184"/>
<area shape="rect" href="class_q_c_p_axis_ticker_fixed.html#a9e99da01ab92a86aed415eef32fed13a" title=" " alt="" coords="248,248,391,288"/>
<area shape="poly" title=" " alt="" coords="527,193,420,238,386,250,384,245,418,234,525,188"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a55301f0072983bd2d7c131a24e1779e7" title=" " alt="" coords="220,313,419,338"/>
<area shape="poly" title=" " alt="" coords="548,197,494,250,458,278,420,302,388,315,386,310,417,298,455,274,490,246,544,193"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856" title=" " alt="" coords="5,70,172,95"/>
<area shape="poly" title=" " alt="" coords="212,85,172,85,172,80,212,80"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ac059d6d670b2f6132c593fb4de156701" name="ac059d6d670b2f6132c593fb4de156701"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac059d6d670b2f6132c593fb4de156701">&#9670;&#160;</a></span>mTickStepStrategy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> QCPAxisTicker::mTickStepStrategy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01766">1766</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a14a35b47d1aad11b08d18ea0e25937b8" name="a14a35b47d1aad11b08d18ea0e25937b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14a35b47d1aad11b08d18ea0e25937b8">&#9670;&#160;</a></span>mTickCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTicker::mTickCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01767">1767</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a560ef9347b1aa599a9bf0e2f29d3ec16" name="a560ef9347b1aa599a9bf0e2f29d3ec16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a560ef9347b1aa599a9bf0e2f29d3ec16">&#9670;&#160;</a></span>mTickOrigin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTicker::mTickOrigin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01768">1768</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
